Insync installation on fedora 24 fails


#1

Hi,
I have used insync with fedora 23 with no issue, but now it’s impossible to install the client on fedora 24.
I have added the repo of insync, but when I go to install the app, the installation fail.
I got this error message:
Error unpacking rpm package insync-1.3.8.36087-fc21.x86_64
Error unpacking rpm package insync-1.3.8.36087-fc21.x86_64
error: unpacking of archive failed on file /usr/lib/insync/faulthandler-2.1-py2.7-linux-x86_64.egg: cpio: rename

I tried with the .rpm that it’s possible to download from the site but also this is impossible to install.


#2

@fastbyte01 tagging our engineer @lpugoy


#3

@fastbyte01: Are you upgrading from a previous version? Please try deleting the /usr/lib/insync folder then retrying.


#4

@lpugoy no I tried with a clean installation. I have seen the error and have deleted the folder that you say. But nothing. I have tried again and after the failure I have removed the folder and all the file related to insync and repos. Tried again from the start, added the repository again and tried to install again but nothing. After that removed again all files and folders related to insync but again nothing.


#5

@fastbyte01: Hmm, does the previous version install fine? You can get it from here. What is the checksum of the downloaded package?


#6

@lpugoy the version 1.3.6 installed and worked correctly.
I’m trying now to update to the new version present in the repo, insync-1.3.8.36087.
The update is done. All seems to work.
During the update I recieved this message:
which: no xmessage in (/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin)
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

The installation of the version 1.3.6 and the update from 1.3.6 to 1.3.8 works fine. But the directly installation of the versione 1.3.8 dosn’t work.


#7

@fastbyte01: I see. Those messages are harmless so it’s fine. I haven’t been able to reproduce this issue unfortunately so I’m not sure how to diagnose this.


#8

Same problems here (@lpugoy + @gio) . When I use the GUI I get error -1. With the command line I get this:

=======================================================================================
 Package          Arch             Version                      Repository        Size
=======================================================================================
Installing:
 insync           x86_64           1.3.10.36104-fc21            insync            63 M

Transaction Summary
=======================================================================================
Install  1 Package

Total download size: 63 M
Installed size: 159 M
Is this ok [y/N]: y
Downloading Packages:
insync-1.3.10.36104-fc21.x86_64.rpm                    1.3 MB/s |  63 MB     00:48    
---------------------------------------------------------------------------------------
Total                                                  1.3 MB/s |  63 MB     00:48     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : insync-1.3.10.36104-fc21.x86_64                                    1/1 
Error unpacking rpm package insync-1.3.10.36104-fc21.x86_64
Error unpacking rpm package insync-1.3.10.36104-fc21.x86_64
error: unpacking of archive failed on file /usr/lib/insync/faulthandler-2.1-py2.7-linux-x86_64.egg: cpio: rename
insync-1.3.10.36104-fc21.x86_64 was supposed to be installed but is not!
  Verifying   : insync-1.3.10.36104-fc21.x86_64                                    1/1 

Failed:
  insync.x86_64 1.3.10.36104-fc21                                                      

Do you guys have a version for fedora 24?


#9

Did you ever find a solution (@fastbyte01) ?


#10

@Izak: Are you upgrading over an old version? Please try uninstalling the old version, removing the folder /usr/lib/insync, then re-installing the new one.


#11

Thank you. It worked great! We are up and rolling and I look forward to using insync.

Steps:

I removed the dir.
sudo rm -r /usr/lib/insync

I then went to https://www.insynchq.com/downloads. Went to the repositories, the yum one (for fedora), followed the instructions (modified insync.repo), and downloaded.

sudo yum install insync

Thanks.